namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "healing_wish")]
public class HealingWishEffect : Script, IScriptOnSwitchIn
{
    private readonly byte _position;

    public HealingWishEffect(byte position)
    {
        _position = position;
    }

    /// <inheritdoc />
    public void OnSwitchIn(IPokemon pokemon, byte position)
    {
        if (position == _position)
        {
            pokemon.Heal(pokemon.BoostedStats.Hp);
            pokemon.ClearStatus();
            RemoveSelf();
        }
    }
}